{% extends "base.html" %}
{% set active_page = "alerts" %}
{% block content %}
    <div>
        <h1>Modify Alert Settings</h1>
    </div>
    <div class="alert-modify-form">
        {# Set variables #}
        {# Extract default values first #}
        {% set alert_enabled = alert_def.settings.default_enabled %}
        {# Get bounds from the default settings, if they exist #}
        {% if alert_def.settings.bounds and 'lower' in alert_def.settings.bounds %}
            {% set lower_bounds_enabled = alert_def.settings.bounds.lower.default_enabled %}
            {% set lower_bounds_value = alert_def.settings.bounds.lower.default_value %}
        {% endif %}
        {% if alert_def.settings.bounds and 'upper' in alert_def.settings.bounds %}
            {% set upper_bounds_enabled = alert_def.settings.bounds.upper.default_enabled %}
            {% set upper_bounds_value = alert_def.settings.bounds.upper.default_value %}
        {% endif %}
        {# If alert values already exist, use those instead #}
        {% if alert_def.values %}
            {% set alert_enabled = alert_def.values.enabled %}
            {# Get bounds from the values, if they exist #}
            {% if alert_def.values.bounds and 'lower' in alert_def.values.bounds %}
                {% set lower_bounds_enabled = alert_def.values.bounds.lower.enabled %}
                {% set lower_bounds_value = alert_def.values.bounds.lower.value %}
            {% endif %}
            {% if alert_def.values.bounds and 'upper' in alert_def.values.bounds %}
                {% set upper_bounds_enabled = alert_def.values.bounds.upper.enabled %}
                {% set upper_bounds_value = alert_def.values.bounds.upper.value %}
            {% endif %}
        {% endif %}
        <form method="post">
            <table class="table alert-modify-table">
                <tr>
                    <td>
                        <label for="alert_name">Alert name:</label>
                    </td>
                    <td>
                        <input readonly
                               type="text"
                               id="alert_name"
                               value="{{ alert_def.alert_name }}">
                    </td>
                </tr>
                <tr>
                    <td>
                        <label for="alert_enabled">Alert Enabled:</label>
                    </td>
                    <td>
                        <input type="checkbox"
                               id="alert_enabled"
                               name="alert_enabled"
                               {% if alert_enabled %}checked{% endif %}>
                        (Default is
                        {% if alert_def.settings.default_enabled %}
                            'On'
                        {% else %}
                            'Off'
                        {% endif %}
                        )
                    </td>
                </tr>
                {% if alert_def.settings.bounds and 'lower' in alert_def.settings.bounds %}
                    <tr>
                        <td>
                            <label for="lower_bounds_enable">Enable lower bound:</label>
                        </td>
                        <td>
                            <input type="checkbox"
                                   id="lower_bounds_enable"
                                   name="lower_bounds_enable"
                                   {% if lower_bounds_enabled %}checked{% endif %}>
                            (Default is
                            {% if alert_def.settings.bounds.lower.default_enabled %}
                                'On'
                            {% else %}
                                'Off'
                            {% endif %}
                            )
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <label for="lower_bounds_value">Lower bound value [{{ alert_def.settings.unit }}]:</label>
                        </td>
                        <td>
                            <input type="text"
                                   id="lower_bounds_value"
                                   name="lower_bounds_value"
                                   value="{{ lower_bounds_value }}">
                            (Default is {{ alert_def.settings.bounds.lower.default_value }} {{ alert_def.settings.unit }})
                        </td>
                    </tr>
                {% endif %}
                {% if alert_def.settings.bounds and 'upper' in alert_def.settings.bounds %}
                    <tr>
                        <td>
                            <label for="upper_bounds_enable">Enable upper bound:</label>
                        </td>
                        <td>
                            <input type="checkbox"
                                   id="upper_bounds_enable"
                                   name="upper_bounds_enable"
                                   {% if upper_bounds_enabled %}checked{% endif %}>
                            (Default is
                            {% if alert_def.settings.bounds.upper.default_enabled %}
                                'On'
                            {% else %}
                                'Off'
                            {% endif %}
                            )
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <label for="upper_bounds_value">Upper bound value [{{ alert_def.settings.unit }}]:</label>
                        </td>
                        <td>
                            <input type="text"
                                   id="upper_bounds_value"
                                   name="upper_bounds_value"
                                   value="{{ upper_bounds_value }}">
                            (Default is {{ alert_def.settings.bounds.upper.default_value }} {{ alert_def.settings.unit }})
                        </td>
                    </tr>
                {% endif %}
                <tr>
                    <td>
                        <label for="importance">Importance</label>
                    </td>
                    <td>
                        <input type="number" name="importance" id="importance" value="{{ alert_def.importance }}">
                    </td>
                </tr>
            </table>
            <button class="button-3" type="submit">Save settings</button>
        </form>
    </div>
{% endblock %}
